﻿using AbstractLawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractLawFirmContracts.BindingModels
{
    public class DocumentBindingModel : IDocumentModel
    {
        public int Id { get; set; }
        public string DocumentName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> DocumentComponents { get; set; } = new();
    }
}
