﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AbstractLawFirmDataModels;

namespace AbstractLawFirmDataModels.Models
{
    public interface IDocumentModel : IId
    {
        string DocumentName { get; }
        double Price { get; }
        Dictionary<int, (IComponentModel, int)> DocumentComponents { get; }
    }
}
