﻿using AbstractLawFirmContracts.BindingModels;
using AbstractLawFirmContracts.SearchModels;
using AbstractLawFirmContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractLawFirmContracts.BusinessLogicsContracts
{
    public interface IDocumentLogic
    {
        List<DocumentViewModel>? ReadList(DocumentSearchModel? model);
        DocumentViewModel? ReadElement(DocumentSearchModel model);
        bool Create(DocumentBindingModel model);
        bool Update(DocumentBindingModel model);
        bool Delete(DocumentBindingModel model);
    }
}
